(function (jQuery) {
    "use strict";
    jQuery(document).ready(function () {

        callPortfolioMasonry();
        window.dispatchEvent(new Event('resize'));

    });

})(jQuery);

function callPortfolioMasonry(){
    /*------------------------
    Masonry
    --------------------------*/
    if (jQuery('.css_prefix-masonry-grid').length > 0) {

        jQuery('.css_prefix-masonry-grid').each(function () {
            jQuery(".css_prefix-masonry-block").imagesLoaded(function () {
                jQuery(".css_prefix-masonry-grid").masonry({
                    columnWidth: ".grid-sizer",
                    itemSelector: ".css_prefix-masonry-item",
                    horizontalOrder: true
                });
            });

        });
    }
}

function loadMore(){

    if (jQuery('.widget-blog-load-btn').length > 0) {
        jQuery('.widget-blog-load-btn').click(function () {
            let button = jQuery(this),
            buttonTxt = button.text(),
            buttonLoadingTxt = button.data('loading'),
            blogPerPage = button.closest('.blog-widget').find('.widget-data .blog-per-page').val(),
            blogPerLoad = button.closest('.blog-widget').find('.widget-data .blog-per-load').val(),
            totalPublishPost = button.closest('.blog-widget').find('.widget-data .total-publish-post').val(),
            currentPage = button.closest('.blog-widget').find('.widget-data .current-page').val(),
            ajaxURL = button.closest('.blog-widget').find('.widget-data .ajax-url').val(),
            data = {
                'action': 'iqonic_blog_action',
                'page': currentPage, //iqonic_loadmore_params.current_page,
                'settings': button.closest('.blog-widget').find('.widget-data .blog-settigs').val(),
                'blog_per_page': blogPerPage,
            };
            jQuery.ajax({
                url: ajaxURL, //iqonic_loadmore_params.ajaxurl, // AJAX handler
                data: data,
                type: 'POST',
                beforeSend: function (xhr) {
                    button.find('.btn__text').text(buttonLoadingTxt); // change the button text, you can also add a preloader image
                },
                success: function (data) {
                    console.log(data);
                    if (data) {
                        button.closest('.blog-widget').find('.load-with-ajax').append(data);
                        cursorView();
                        button.closest('.blog-widget').find('.current-page').val(parseInt(currentPage) + 1);
                        button.find('.btn__text').html(buttonTxt);
                        button.closest('.blog-widget').find('.blog-per-page').val(parseInt(blogPerPage) + parseInt(blogPerLoad))

                        if (parseInt(button.closest('.blog-widget').find('.blog-per-page').val()) >= parseInt(totalPublishPost))
                            button.remove(); // if last page, remove the button
                    } else {
                        button.remove(); // if no data, remove the button as well
                    }
                }
            });
        });
    }
}